Get an external entity by wallet ID
curl --request GET \
--url https://api-sandbox.circle.com/v1/externalEntities/{walletId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.circle.com/v1/externalEntities/{walletId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.circle.com/v1/externalEntities/{walletId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.circle.com/v1/externalEntities/{walletId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.circle.com/v1/externalEntities/{walletId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.circle.com/v1/externalEntities/{walletId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.circle.com/v1/externalEntities/{walletId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"walletId": "212000",
"businessName": "Circle Internet Financial Inc.",
"businessUniqueIdentifier": "1234567890",
"identifierIssuingCountryCode": "US",
"complianceState": "ACCEPTED",
"address": {
"country": "US",
"state": "MA",
"city": "Boston",
"postcode": "01234",
"streetName": "Main Street",
"buildingNumber": "100"
}
}
}Get an external entity by wallet ID
Returns an external entity by wallet ID.
To access the Core API for Institutions, contact your Circle account representative.
GET
/
v1
/
externalEntities
/
{walletId}
Get an external entity by wallet ID
curl --request GET \
--url https://api-sandbox.circle.com/v1/externalEntities/{walletId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.circle.com/v1/externalEntities/{walletId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.circle.com/v1/externalEntities/{walletId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.circle.com/v1/externalEntities/{walletId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.circle.com/v1/externalEntities/{walletId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.circle.com/v1/externalEntities/{walletId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.circle.com/v1/externalEntities/{walletId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"walletId": "212000",
"businessName": "Circle Internet Financial Inc.",
"businessUniqueIdentifier": "1234567890",
"identifierIssuingCountryCode": "US",
"complianceState": "ACCEPTED",
"address": {
"country": "US",
"state": "MA",
"city": "Boston",
"postcode": "01234",
"streetName": "Main Street",
"buildingNumber": "100"
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The wallet ID of the external entity.
Response
200 - application/json
Successfully retrieved an external entity.
An external entity
Show child attributes
Show child attributes
Was this page helpful?